/*
 Styles to make the components fluid full width, breaking parent bootstrap containers limitations
 credits: https://css-tricks.com/full-width-containers-limited-width-parents/#article-header-id-6
 */

.full-width {
  width: 100vw;
  position: relative;
  left: 50%;
  right: 50%;
  margin-left: -50vw;
  margin-right: -50vw;
}

.full-width-patch {
  width: 100vw;
  min-width: 100vw;
}

#section-content {
  overflow: hidden;
}

.paragraph.content-center .row {
  justify-content: center;
}

.paragraph.content-left .row {
  justify-content: left;
}

.paragraph.content-right .row {
  justify-content: right;
}

.paragraph-section, .container.content-wide {
  margin-right: 0;
  margin-left: 0;
  width: 100%;
  max-width: 100%;
  padding-left: 0;
  padding-right: 0;
}

@media (min-width: 576px) {
  .container.content-narrow {
    max-width: calc(0.8 * 540px);
  }
}

@media (min-width: 768px) {
  .container.content-narrow {
    max-width: calc(0.8 * 720px);
  }
}

@media (min-width: 992px) {
  .container.content-narrow {
    max-width: calc(0.8 * 960px);
  }
}

@media (min-width: 1200px) {
  .container.content-narrow {
    max-width: calc(0.8 * 1140px);
  }
}

@media (min-width: 1400px) {
  .container.content-narrow {
    max-width: calc(0.8 * 1320px);
  }
}
